import java.io.File;

public class Class580 {

   public static String aString7622;
   public static String aString7623;
   static int anInt7624;


   static {
      String var0 = "Unknown";

      try {
         var0 = System.getProperty("java.vendor").toLowerCase();
      } catch (Exception var7) {
         ;
      }

      var0.toLowerCase();
      var0 = "Unknown";

      try {
         var0 = System.getProperty("java.version").toLowerCase();
      } catch (Exception var6) {
         ;
      }

      var0.toLowerCase();
      var0 = "Unknown";

      try {
         var0 = System.getProperty("os.name").toLowerCase();
      } catch (Exception var5) {
         ;
      }

      aString7622 = var0.toLowerCase();
      var0 = "Unknown";

      try {
         var0 = System.getProperty("os.arch").toLowerCase();
      } catch (Exception var4) {
         ;
      }

      aString7623 = var0.toLowerCase();
      var0 = "Unknown";

      try {
         var0 = System.getProperty("os.version").toLowerCase();
      } catch (Exception var3) {
         ;
      }

      var0.toLowerCase();
      var0 = "~/";

      try {
         var0 = System.getProperty("user.home").toLowerCase();
      } catch (Exception var2) {
         ;
      }

      new File(var0);
   }

   Class580() throws Throwable {
      throw new Error();
   }
}
